package middlewares

import (
	"quyun/providers/app"
	"quyun/providers/jwt"

	log "github.com/sirupsen/logrus"
)

// @provider
type Middlewares struct {
	log *log.Entry `inject:"false"`
	jwt *jwt.JWT
	app *app.Config
}

func (f *Middlewares) Prepare() error {
	f.log = log.WithField("module", "middleware")
	return nil
}
